
import java.util.*;
import java.io.*;

class Vertex {
	
	public int label; // label (e.g. 'A')
	public boolean wasVisited;
	public int data;
	public int state;
	public String formula;
	public String type_formula;
	
	public Vertex(int lab, int d) { // constructor
		label = lab;
		data = d;
		wasVisited = false;
	}
	public Vertex(int lab, int d, int s, String f, String t) { // constructor
		label = lab;
		data = d;
		wasVisited = false;
		state=s;
		formula=f;
		type_formula=t;
	}
	public void displayVertex(int n) {
		System.out.print("("+n+" "+label+" "+data+" ");
		if (type_formula!=null) System.out.print(type_formula+" ");
		System.out.print(") ");
	}
} // end class Vertex